M_ActivityMonsterItemWeightCFG = {}

function M_ActivityMonsterItemWeightCFG:getData(key)
	if self.datas == nil then
		return nil
	end
	return self.datas[key]
end

function M_ActivityMonsterItemWeightCFG:init()
	self.datas = {}
	self.datas[1] = {Id = 1, ItemName = "水灵符", ItemId = 247, Weight = 430}
	self.datas[2] = {Id = 2, ItemName = "火灵符", ItemId = 248, Weight = 180}
	self.datas[3] = {Id = 3, ItemName = "雷灵符", ItemId = 249, Weight = 110}
	self.datas[4] = {Id = 4, ItemName = "五行令其", ItemId = 250, Weight = 100}
	self.datas[5] = {Id = 5, ItemName = "玲珑镜", ItemId = 251, Weight = 90}
	self.datas[6] = {Id = 6, ItemName = "镇妖剑", ItemId = 252, Weight = 60}
	self.datas[7] = {Id = 7, ItemName = "翻天印", ItemId = 253, Weight = 20}
	self.datas[8] = {Id = 8, ItemName = "诛仙剑", ItemId = 254, Weight = 10}
	self.datas[9] = {Id = 9, ItemName = "战天斧", ItemId = 255, Weight = 0}
end

M_ActivityMonsterItemWeightCFG:init()
